AE's VI Configuration File

Derived from the "Modual Interface with TERMINFO Function Keys" 
provided by Anthony Howe with the ae package as modified
by Fabrizio Polacco to emulate key VI functionality 

Modifications to work with Slang library TERMCAP implimentation
Copyright Dale Scheetz 1998, licensed under the GPL for 
distribution by Debian and others who can use this license.

1:\
File read and write	:r	:w	Left, down, up, right	h,j,k,l\n\
exit and abort		:q	:q!	Word left and right	b	w\n\
Macros			:map		Page down and up	PgDn PgUp\n\
Help on and off		F1		Front and end of line	0	\$\n\
Version Redraw		:ver	^L	Top and bottom of file	\Home End\n\
Insert 			i		Delete left and right	X	x\n\
Open			O	o	Append			A	a\n\
Delete			dd	d[wb0]	Copy			yy	y[wb0]\n\
Literal escape		^V		Block, cut, and paste	F2  F3  F4\n\
Undo			u		Invert case		~\n\
Print	(only upper)	P	p	Shift	(only right)	>>\n

#.help_off
.literal	^V
.insert_enter	i
.insert_exit	^[
.cursor_up	$(ku)
.cursor_down	$(kd)
.cursor_left	$(kl)
.cursor_right	$(kr)
.cursor_up	^[[A
.cursor_down	^[[B
.cursor_left	^[[D
.cursor_right	^[[C
.page_up	$(kP)
.page_up	$(K3)
.page_down	$(kN)
.page_down	$(K5)
.page_up	^[[5~
.page_down	^[[6~
.file_top	$(kh)
.file_top	$(K1)
.file_bottom	$(ke)
.file_bottom	$(K4)
.help		$(k1)
.block		$(k2)
.cut		$(k3)
.paste		$(k4)
.cursor_up	k
.cursor_down	j
.cursor_left	h
.cursor_right	l
.cursor_left	$(kb)
.cursor_right	\s
.word_left	b
.word_right	w
.line_left	\^
.line_left	|
.line_left	0
.line_right	\$
.file_top	$(kh)
.file_bottom	$(ke)
.file_top	1G
.file_bottom	G
.file_top	^[[1~
.file_top	[H
.file_bottom	^[[4~
.file_bottom    [F
.delete_left	X
.delete_right	x
.delete_left    $(kb)
.delete_left    ^H
.delete_left    ^?
.delete_right   $(kD)
.delete_right	^[[3~
.help		^[[[A
.help		^[OA
.help		^[OP
.help		^[[11~
.block		^[[[B
.block		^[OB
.block		^[OQ
.block		^[[12~
.cut		^[[[C
.cut		^[OC
.cut		^[OR
.cut		^[[13~
.paste		^[[[D
.paste		^[OD
.paste		^[OS
.paste		^[[14~
.flip_case	~
.undo		u
.file_read	:r
.file_write	:w
.redraw		^L
.quit_ask	:q\n
.quit		:q!\n
.show_version	:ver\n
.macro		:map\n
.macro_define	O	0i\r\033ki
.macro_define	o	\$i\r
.macro_define	A	\$i
.macro_define	a	0i
.macro_define	\r	0j
.macro_define	\n	0j
.macro_define	+	0j
.macro_define	-	0k
.macro_define	>>	0i\t\033
.macro_define	dd	0^[OQj^[OR
.macro_define	d\s	^[OQl^[OR
.macro_define	dw	^[OQw^[OR
.macro_define	db	^[OQb^[OR
.macro_define	d0	^[OQ0^[OR
.macro_define	d|	d0
.macro_define	d\^	d0
.macro_define	d\$	^[OQ\$^[OR
.macro_define	d1G	^[OQ1G^[OR
.macro_define	dG	^[OQG^[OR
.macro_define	d$(kh)	d1G
.macro_define	d$(ke)	dG
.macro_define	P	^[OS
.macro_define	p	^[OS
.macro_define	yy	0^[OQj^[ORpk
.macro_define	yw	dwp
.macro_define	yb	dbp
.macro_define	y0	d0p
.macro_define	y|	d0p
.macro_define	y\^	d0p
.macro_define	y\$	d\$p
.macro_define	y1G	d1Gp
.macro_define	yG	dGp
.macro_define	y\s	d\sp
.macro_define	y$(kh)	d1Gp
.macro_define	y$(ke)	dGp
#
.macro_define
.macro_define
.macro_define
.macro_define

2:Terminated successfully.\n
3:Unspecified error.\n
4:usage: %s [-f <config>] [file]\n
5:Failed to initialize the screen.\n
6:Problem with configuration file, line %lu.\n
7:Failed to allocate required memory.\n
8:Ok.
9:An error occured.
10:No more memory available.
11:File \"%s\" is too big to load.
12:Scrap is empty.  Nothing to paste.
13:Failed to find file \"%s\".
14:Failed to open file \"%s\".
15:Failed to close file \"%s\".
16:Failed to read file \"%s\".
17:Failed to write file \"%s\".
18:Not a portable POSIX file name.
19:File \"%s\" %ld bytes.
20:File \"%s\" %ld bytes saved.
21:File \"%s\" %ld bytes read.
22:File \"%s\" modified.
23:Invalid control character or \\number not 0..255.
24:No such macro defined.
25:No more macro space.
26:Interrupt.
27:<< EOF >>
28:Macro :
29:File not saved.  Quit (y/n) ?
30:[ Press a key to continue. ]
31:Read file :
32:Write file :
33:Write block :
34:\smore\s
35:\sy\b
36:\sn\b
37:\sq\b
38:Nothing to undo.
